# Copyright 2021-2024 The DeepCAVE Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

#  noqa: D400
"""
# converters

## Modules
----------
bohb
    This module provides utilities for managing and processing data concerning a BOHB
    (Bayesian Optimization and Hyperparameter Bandits) run.
deepcave
    This module defines the DeepCAVE run object.
smac3v1
    This module provides utilities to create a SMAC3v1
    (Sequential Model-based Algorithm Configuration) run.
smac3v2
    This module provides utilities to create a SMAC3v2
    (Sequential Model-based Algorithm Configuration) run.
amltk
    This module provides utilities to create an AMLTK (AutoML Toolkit) run.
optuna
    This module provides utilities to create an Optuna run.
"""
